/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

package org.gnu.gnome;
import org.gnu.glib.Type;
/**
 * The GnomeCanvasLine is a GnomeCanvasItem that draws a line on a
 * GnomeCanvas. The line can contain multiple segments.
 */
public class CanvasLine extends CanvasItem {

	public CanvasLine(CanvasGroup group) {
		super(group, gnome_canvas_line_get_type());
	}

	/**
	 * Constructs an instance of CanvasLine from a native widget resource.
	 * @param handle The handle to the native widget.
	 */
	CanvasLine(int handle) {
		super(handle);
	}

	/**
	 * Retrieve the runtime type used by the GLib library.
	 */
	public static Type getType() {
		return new Type(gnome_canvas_line_get_type());
	}

	/****************************************
	 * BEGINNING OF GENERATED CODE
	 ****************************************/
	native static final protected int getNumPoints(int cptr);
	native static final protected double getWidth(int cptr);
	native static final protected int getStipple(int cptr);
	native final protected void setStipple(int cptr, int stipple);
	native static final protected long getFillPixel(int cptr);
	native final protected void setFillPixel(int cptr, long fill_pixel);
	native static final protected int getFillColor(int cptr);
	native final protected void setFillColor(int cptr, int fill_color);
	native static final protected int getGc(int cptr);
	native static final protected boolean getWidthPixels(int cptr);
	native static final protected boolean getFirstArrow(int cptr);
	native final protected void setFirstArrow(int cptr, boolean first_arrow);
	native static final protected boolean getLastArrow(int cptr);
	native final protected void setLastArrow(int cptr, boolean last_arrow);
	native static final protected boolean getSmooth(int cptr);
	native final protected void setSmooth(int cptr, boolean smooth);
	native static final protected int getCap(int cptr);
	native final protected void setCap(int cptr, int cap);
	native static final protected int getLineStyle(int cptr);
	native final protected void setLineStyle(int cptr, int line_style);
	native static final protected int getJoin(int cptr);
	native final protected void setJoin(int cptr, int join);
	native static final protected int getFillRgba(int cptr);
	native final protected void setFillRgba(int cptr, int fill_rgba);
	native static final protected int getSplineSteps(int cptr);
	native final protected void setSplineSteps(int cptr, int spline_steps);
	native static final protected double getShapeA(int cptr);
	native final protected void setShapeA(int cptr, double shape_a);
	native static final protected double getShapeB(int cptr);
	native final protected void setShapeB(int cptr, double shape_b);
	native static final protected double getShapeC(int cptr);
	native final protected void setShapeC(int cptr, double shape_c);
	native static final protected int gnome_canvas_line_get_type();
	/****************************************
	 * END OF GENERATED CODE
	 ****************************************/
}
