/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

#include <jni.h>
#include <sys/types.h>
#include <gnome.h>
#ifdef __cplusplus
extern "C" 
{
#endif

GnomeCanvas * GnomeCanvasItem_get_canvas (GnomeCanvasItem * cptr) 
{
    return cptr->canvas;
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    getCanvas
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_org_gnu_gnome_CanvasItem_getCanvas (JNIEnv *env, jclass cls, jint 
    cptr) 
{
    GnomeCanvasItem *cptr_g = (GnomeCanvasItem *)cptr;
    return (jint)GnomeCanvasItem_get_canvas (cptr_g);
}

GnomeCanvasItem * GnomeCanvasItem_get_parent (GnomeCanvasItem * cptr) 
{
    return cptr->parent;
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    getParent
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_org_gnu_gnome_CanvasItem_getParent (JNIEnv *env, jclass cls, jint 
    cptr) 
{
    GnomeCanvasItem *cptr_g = (GnomeCanvasItem *)cptr;
    {
        return (jint)GnomeCanvasItem_get_parent (cptr_g);
    }
}

gdouble GnomeCanvasItem_get_x1 (GnomeCanvasItem * cptr) 
{
    return cptr->x1;
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    getX1
 * Signature: (I)D
 */
JNIEXPORT jdouble JNICALL Java_org_gnu_gnome_CanvasItem_getX1 (JNIEnv *env, jclass cls, jint 
    cptr) 
{
    GnomeCanvasItem *cptr_g = (GnomeCanvasItem *)cptr;
    {
        jdouble result_j = (jdouble) (GnomeCanvasItem_get_x1 (cptr_g));
        return result_j;
    }
}

gdouble GnomeCanvasItem_get_y1 (GnomeCanvasItem * cptr) 
{
    return cptr->y1;
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    getY1
 * Signature: (I)D
 */
JNIEXPORT jdouble JNICALL Java_org_gnu_gnome_CanvasItem_getY1 (JNIEnv *env, jclass cls, jint 
    cptr) 
{
    GnomeCanvasItem *cptr_g = (GnomeCanvasItem *)cptr;
    {
        jdouble result_j = (jdouble) (GnomeCanvasItem_get_y1 (cptr_g));
        return result_j;
    }
}

gdouble GnomeCanvasItem_get_x2 (GnomeCanvasItem * cptr) 
{
    return cptr->x2;
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    getX2
 * Signature: (I)D
 */
JNIEXPORT jdouble JNICALL Java_org_gnu_gnome_CanvasItem_getX2 (JNIEnv *env, jclass cls, jint 
    cptr) 
{
    GnomeCanvasItem *cptr_g = (GnomeCanvasItem *)cptr;
    {
        jdouble result_j = (jdouble) (GnomeCanvasItem_get_x2 (cptr_g));
        return result_j;
    }
}

gdouble GnomeCanvasItem_get_y2 (GnomeCanvasItem * cptr) 
{
    return cptr->y2;
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    getY2
 * Signature: (I)D
 */
JNIEXPORT jdouble JNICALL Java_org_gnu_gnome_CanvasItem_getY2 (JNIEnv *env, jclass cls, jint 
    cptr) 
{
    GnomeCanvasItem *cptr_g = (GnomeCanvasItem *)cptr;
    {
        jdouble result_j = (jdouble) (GnomeCanvasItem_get_y2 (cptr_g));
        return result_j;
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_get_type
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1get_1type (JNIEnv 
    *env, jclass cls) 
{
    {
        return (jint)gnome_canvas_item_get_type ();
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_move
 * Signature: (IDD)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1move (JNIEnv *env, 
    jclass cls, jint item, jdouble dx, jdouble dy) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    gdouble dx_g = (gdouble) dx;
    gdouble dy_g = (gdouble) dy;
    {
        gnome_canvas_item_move (item_g, dx_g, dy_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_affine_relative
 * Signature: (I[Ldouble ;)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1affine_1relative (
    JNIEnv *env, jclass cls, jint item, jdoubleArray affine) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    gdouble *affine_g = (gdouble *) (*env)->GetDoubleArrayElements (env, affine, NULL);
    {
        gnome_canvas_item_affine_relative (item_g, affine_g);
        (*env)->ReleaseDoubleArrayElements (env, affine, (jdouble *) affine_g, 0);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_affine_absolute
 * Signature: (I[Ldouble ;)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1affine_1absolute (
    JNIEnv *env, jclass cls, jint item, jdoubleArray affine) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    gdouble *affine_g = (gdouble *) (*env)->GetDoubleArrayElements (env, affine, NULL);
    {
        gnome_canvas_item_affine_absolute (item_g, affine_g);
        (*env)->ReleaseDoubleArrayElements (env, affine, (jdouble *) affine_g, 0);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_raise
 * Signature: (II)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1raise (JNIEnv *env, 
    jclass cls, jint item, jint position) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    gint32 position_g = (gint32) position;
    {
        gnome_canvas_item_raise (item_g, position_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_raise_to_top
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1raise_1to_1top (
    JNIEnv *env, jclass cls, jint item) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    {
        gnome_canvas_item_raise_to_top (item_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_lower
 * Signature: (II)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1lower (JNIEnv *env, 
    jclass cls, jint item, jint positions) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    gint32 positions_g = (gint32) positions;
    {
        gnome_canvas_item_lower (item_g, positions_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_lower_to_bottom
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1lower_1to_1bottom (
    JNIEnv *env, jclass cls, jint item) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    {
        gnome_canvas_item_lower_to_bottom (item_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_show
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1show (JNIEnv *env, 
    jclass cls, jint item) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    {
        gnome_canvas_item_show (item_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_hide
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1hide (JNIEnv *env, 
    jclass cls, jint item) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    {
        gnome_canvas_item_hide (item_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_grab
 * Signature: (IIII)I
 */
JNIEXPORT jint JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1grab (JNIEnv *env, 
    jclass cls, jint item, jint event_mask, jint cursor, jint etime) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    gint32 event_mask_g = (gint32) event_mask;
    GdkCursor *cursor_g = (GdkCursor *)cursor;
    gint32 etime_g = (gint32) etime;
    {
        jint result_j = (jint) (gnome_canvas_item_grab (item_g, event_mask_g, cursor_g, etime_g));
        return result_j;
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_ungrab
 * Signature: (II)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1ungrab (JNIEnv *env, 
    jclass cls, jint item, jint etime) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    gint32 etime_g = (gint32) etime;
    {
        gnome_canvas_item_ungrab (item_g, etime_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_reparent
 * Signature: (II)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1reparent (JNIEnv 
    *env, jclass cls, jint item, jint new_group) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    GnomeCanvasGroup *new_group_g = (GnomeCanvasGroup *)new_group;
    {
        gnome_canvas_item_reparent (item_g, new_group_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_grab_focus
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1grab_1focus (JNIEnv 
    *env, jclass cls, jint item) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    {
        gnome_canvas_item_grab_focus (item_g);
    }
}

/*
 * Class:     org.gnu.gnome.CanvasItem
 * Method:    gnome_canvas_item_request_update
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1request_1update (
    JNIEnv *env, jclass cls, jint item) 
{
    GnomeCanvasItem *item_g = (GnomeCanvasItem *)item;
    {
        gnome_canvas_item_request_update (item_g);
    }
}

/*
 * Class:     org_gnu_gnome_CanvasItem
 * Method:    gnome_canvas_item_new
 * Signature: (II)I
 */
JNIEXPORT jint JNICALL Java_org_gnu_gnome_CanvasItem_gnome_1canvas_1item_1new
  (JNIEnv *env, jclass cls, jint group, jint type)
{
	return (jint)gnome_canvas_item_new((GnomeCanvasGroup*)group, (GType)type, NULL);
}
                                                                              

#ifdef __cplusplus
}

#endif
